Bug 243152 - sysutils/sformat: fix build on powerpc64
Summary: sysutils/sformat: fix build on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: Marius Strobl
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-07 09:31 UTC by Piotr Kubaj
Modified: 2020-01-13 10:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (marius)


Attachments
patch (1.92 KB, patch)
2020-01-07 09:31 UTC, Piotr Kubaj
no flags Details | Diff
v2 (1.21 KB, patch)
2020-01-08 14:02 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (marius)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2020-01-07 09:31:42 UTC
Created attachment 210495 [details]
patch

Makefile uses uname -m (which returns powerpc on powerpc64) instead of uname -p (which correctly returns powerpc64).
Comment 1 Marius Strobl freebsd_committer 2020-01-08 00:36:44 UTC
I object to the patch in attachment 210495 [details]; please use the approach employed by the other ports affected by this problem instead (see for example r404711) and remove also the other BROKEN lines.
Comment 2 Piotr Kubaj freebsd_committer 2020-01-08 14:02:26 UTC
Created attachment 210534 [details]
v2

Is that ok?
Comment 3 Marius Strobl freebsd_committer 2020-01-13 00:04:47 UTC
(In reply to Piotr Kubaj from comment #2)

Please s/SFMTARCH/SFMTXARCH/g, apart from that the patch in attachment 210534 [details] looks good and is approved, thanks.
Comment 4 commit-hook freebsd_committer 2020-01-13 10:26:24 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Jan 13 10:25:47 UTC 2020
New revision: 522875
URL: https://svnweb.freebsd.org/changeset/ports/522875

Log:
  sysutils/sformat: fix build on powerpc64

  Makefile uses uname -m (which returns powerpc on powerpc64) instead of uname -p (which correctly returns powerpc64).

  PR:		243152
  Approved by:	marius (maintainer)
  MFH:		2020Q1 (fix build blanket)

Changes:
  head/sysutils/sformat/Makefile
Comment 5 commit-hook freebsd_committer 2020-01-13 10:27:26 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Jan 13 10:26:46 UTC 2020
New revision: 522876
URL: https://svnweb.freebsd.org/changeset/ports/522876

Log:
  MFH: r522875

  sysutils/sformat: fix build on powerpc64

  Makefile uses uname -m (which returns powerpc on powerpc64) instead of uname -p (which correctly returns powerpc64).

  PR:		243152
  Approved by:	marius (maintainer)

  Approved by:	portmgr (fix build blanket)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/sysutils/sformat/Makefile